version: '3.9'
services:
  db:
    image: postgres
    restart: unless-stopped
    environment:
      - POSTGRES_PASSWORD=1234
    # env_file:
    #   - $env
    container_name: postgres
    # volumes:
    #   - ./pgdata:/var/lib/postgresql/data
    ports:
      - '5432:5432'

  # app:
  #   build:
  #     context: .
  #     dockerfile: Dockerfile
  #   container_name: nest-docker-postgres
  #   environment:
  #     - PORT=${8000}
  #   env_file:
  #     - $env
  #   ports:
  #     - '8000:8000'
  #   depends_on:
  #     - db
  #   volumes:
  #     - ./src:/app/src

  # pgadmin:
  #   image: dpage/pgadmin4
  #   restart: always
  #   container_name: nest-pgadmin4
  #   environment:
  #     - PGADMIN_DEFAULT_EMAIL=admin@admin.com
  #     - PGADMIN_DEFAULT_PASSWORD=pgadmin4
  #   ports:
  #     - '5050:80'
  #   depends_on:
  #     - db
